Bug 102077 - NPE when creating CI with a template
NPE when creating CI with a template
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
high Severity high
: ---
: ---
Assigned To: Justin Ross
Jon Orris
:
Depends On:
Blocks: 101458
  Show dependency treegraph
 
Reported: 2003-08-10 15:24 EDT by Jon Orris
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-10 17:39:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-08-10 15:24:17 EDT
Description of problem:
@34479 Oracle & postgres.

Create and publish a template for a Content Type, say Agenda.
Try to create a content item. Get an NPE

-*-*-*- Section: Stack trace -*-*-*-
java.lang.NullPointerException
	at
com.arsdigita.cms.ContentTypeWorkflowTemplate.getWorkflowTemplate(ContentTypeWorkflowTemplate.java:98)
	at com.arsdigita.cms.ui.authoring.PageCreate.process(PageCreate.java:129)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:491)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:465)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.MetaForm.process(MetaForm.java:164)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:368)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:271)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:71)
Comment 1 Justin Ross 2003-08-12 15:06:34 EDT
Fixed in perforce 34564.

Note You need to log in before you can comment on or make changes to this bug.